---
title: "List invites"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/collections/{id}/invites`

## Path parameters

- `entityId` (`collection-list-invites.path.entityId`; string, required)
  - format `uuid`
- `id` (`collection-list-invites.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/collections/<id>/invites'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/collections/<id>/invites';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/collections/<id>/invites"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
    "sharePermission": "viewer",
    "invites": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "code": "string",
        "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
        "inviterUserId": "string",
        "permission": "viewer",
        "status": "active",
        "expiresAt": "string",
        "maxUses": 0,
        "uses": 0,
        "lastUsedAt": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "inviteUrl": "string",
        "qrPayload": "string",
        "valid": true,
        "disabledReason": "revoked"
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`collection-list-invites.response.200.data`; object, required)
  - `collectionId` (`collection-list-invites.response.200.data.collectionId`; string, required)
    - format `uuid`
  - `sharePermission` (`collection-list-invites.response.200.data.sharePermission`; string, required)
    - one of `"viewer"`, `"download"`
  - `invites` (`collection-list-invites.response.200.data.invites`; array<object>, required)
    - `id` (`collection-list-invites.response.200.data.invites.id`; string, required)
      - format `uuid`
    - `code` (`collection-list-invites.response.200.data.invites.code`; string, required)
    - `collectionId` (`collection-list-invites.response.200.data.invites.collectionId`; string, required)
      - format `uuid`
    - `inviterUserId` (`collection-list-invites.response.200.data.invites.inviterUserId`; string, required)
    - `permission` (`collection-list-invites.response.200.data.invites.permission`; string, required)
      - one of `"viewer"`, `"download"`
    - `status` (`collection-list-invites.response.200.data.invites.status`; string, required)
      - one of `"active"`, `"revoked"`, `"expired"`
    - `expiresAt` (`collection-list-invites.response.200.data.invites.expiresAt`; string, required, nullable)
    - `maxUses` (`collection-list-invites.response.200.data.invites.maxUses`; number, required, nullable)
    - `uses` (`collection-list-invites.response.200.data.invites.uses`; number, required)
    - `createdAt` (`collection-list-invites.response.200.data.invites.createdAt`; string, required)
    - `updatedAt` (`collection-list-invites.response.200.data.invites.updatedAt`; string, required)
    - `lastUsedAt` (`collection-list-invites.response.200.data.invites.lastUsedAt`; string, optional, nullable)
    - `inviteUrl` (`collection-list-invites.response.200.data.invites.inviteUrl`; string, optional)
    - `qrPayload` (`collection-list-invites.response.200.data.invites.qrPayload`; string, optional)
    - `valid` (`collection-list-invites.response.200.data.invites.valid`; boolean, optional)
    - `disabledReason` (`collection-list-invites.response.200.data.invites.disabledReason`; string, optional, nullable)
      - one of `"revoked"`, `"expired"`, `"max_uses_reached"`
- `meta` (`collection-list-invites.response.200.meta`; object, optional)
  - `timestamp` (`collection-list-invites.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-invites.response.400.error`; object, required)
  - `code` (`collection-list-invites.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-invites.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-invites.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-invites.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-invites.response.401.error`; object, required)
  - `code` (`collection-list-invites.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-invites.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-invites.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-invites.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-invites.response.403.error`; object, required)
  - `code` (`collection-list-invites.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-invites.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-invites.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-invites.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-invites.response.404.error`; object, required)
  - `code` (`collection-list-invites.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-invites.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-invites.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-invites.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-invites.response.409.error`; object, required)
  - `code` (`collection-list-invites.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-invites.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-invites.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-invites.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`collection-list-invites.response.500.error`; object, required)
  - `code` (`collection-list-invites.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`collection-list-invites.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`collection-list-invites.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`collection-list-invites.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/collection-list-invites/index.md
